--TEST--
Ensure protected properties are visible from sibling classes, if there is a common prototype.
--FILE--
<?php
// Class P declares some protected members.
class P {
  protected $p = 'P::$p';
  protected static $sp = 'P::$sp';
}
 
// Class C1 re-declares the inherited protected members.
class C1 extends P {
  protected $p = 'C1::$p';
  protected static $sp = 'C1::$sp';
}
 
// Class C2 attempts to access protected members on its sibling C1.
class C2 extends P {
  public static function test() {
    $c1 = new C1;
    echo $c1->p ."\n";
    echo C1::$sp ."\n";
  }
}
 
C2::test();
?>
--EXPECTF--
C1::$p
C1::$sp