--TEST--
Ensure protected methods are invocable as callbacks from sibling classes, if there is a common prototype.
--FILE--
<?php
// Class P declares some protected members.
class P {
  protected function f() { echo "In " . __METHOD__ . "\n";  }
  protected static function sf() { echo "In " . __METHOD__ . "\n";  }
}
 
// Class C1 re-declares the inherited protected members.
class C1 extends P {
  protected function f() { echo "In " . __METHOD__ . "\n";  }
  protected static function sf() { echo "In " . __METHOD__ . "\n"; }
}
 
// Class C2 attempts to access protected members on its sibling C1.
class C2 extends P {
  public static function test() {
    $c1 = new C1;
    var_dump(is_callable(array($c1, 'f')));
    var_dump(is_callable(array('C1', 'sf')));
    call_user_func(array($c1, 'f'));
    call_user_func(array('C1', 'sf'));
  }
}
 
C2::test();
?>
--EXPECTF--
bool(true)
bool(true)
In C1::f
In C1::sf