--TEST--
Ensure protected __clone is visible from sibling classes, if there is a common prototype.
--FILE--
<?php
// Class P declares some protected members.
class P {
  protected function __clone() {  echo "In " . __METHOD__ . "\n"; }
}
 
// Class C1 re-declares the inherited protected members.
class C1 extends P {
protected function __clone() {  echo "In " . __METHOD__ . "\n"; }
}
 
// Class C2 attempts to access protected members on its sibling C1.
class C2 extends P {
  public static function test() {
    $c1 = new C1;
 	  clone $c1;
  }
}
 
C2::test();
?>
--EXPECTF--
In C1::__clone